Security Feature Bypass Affecting microsoft.netcore.universalwindowsplatform package, versions [,5.2.4) [5.3,5.3.5) [5.4,5.4.2) [6,6.0.6)


0.0
high
  • Attack Complexity

    Low

  • Integrity

    High

Do your applications use this vulnerable package?

In a few clicks we can analyze your entire application and see what components are vulnerable in your application, and suggest you quick fixes.

Test your applications
  • snyk-id

    SNYK-DOTNET-MICROSOFTNETCOREUNIVERSALWINDOWSPLATFORM-60234

  • published

    10 Jan 2018

  • disclosed

    9 Jan 2018

  • credit

    Unknown

How to fix?

Upgrade Microsoft.AspNet.Mvc.Core to versions 1.0.6, 1.1.5 or higher.

Overview

Microsoft.NETCore.UniversalWindowsPlatform is the core runtime components of ASP.NET MVC.

Affected versions of this package are vulnerable to Security Feature Bypass when Microsoft .NET Framework (and .NET Core) components do not completely validate certificates.

An attacker could present a certificate that is marked invalid for a specific use, but the component uses it for that purpose. This action disregards the Enhanced Key Usage taggings